/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flowdepth;

import java.util.Comparator;

import org.dive4elements.river.model.BedHeightValue;

/**
 * @author Gernot Belger
 */
public class BedHeightStationComparator implements Comparator<BedHeightValue> {

    @Override
    public int compare(final BedHeightValue o1, final BedHeightValue o2) {
        final Double s1 = o1.getStation();
        final Double s2 = o2.getStation();
        return Double.compare(s1, s2);
    }
}